=============================================================================
    Intel(R) Server Platform S2600BP FRU/SDR Update Release Notes
=============================================================================

INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

=============================================================================

DATE:       Aug 23 2017

TO:         Intel(R) Server Platform S2600BP customers

SUBJECT:    IBMC(R) FRU/SDR update package S2600BP_FTUSDR_124 release notes

=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel products. 
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (c) 2017 Intel Corporation.

=============================================================================
                      ABOUT THIS RELEASE PACKAGE
=============================================================================

SDR file version:                   1.24 

SDR data based on system/thermal team SDR spreadsheet rev 1.4 Draft (20170822) 

=============================================================================
	     SYSTEM HARDWARE & SOFTWARE REQUIREMENTS/REVISIONS
=============================================================================

- S2600BPB,S2600BPQ,S2600BPS,S2600BPL baseboard.

- BMC FW 1.24 or later

- Front Panel, Hot-swap backplane, and Baseboard FRU data must be available
  for chassis auto-detection to succeed.

=============================================================================
                      IMPORTANT INSTALLATION NOTES
=============================================================================

NOTE: If you updated BIOS and did not clear CMOS Ram, you should do that before
      installing this package.

=============================================================================
			INSTALLATION PROCEDURE
=============================================================================

1. Ensure BMC FW release 1.24 or later is pre-installed before attempting this 
   FRU/SDR update.

2. Copy all of the files and directories of this zip file
   to a USB key, hard disk drive or floppy drive.

3. Run command FRUSDR /fru S2600BPx.fru to update baseboard FRU to BMC.
	S2600BPB.fru : for Buchanan Pass LBG 1G Dual 10G Mother board
	S2600BPQ.fru : for Buchanan Pass LBG L Dual 10G Mother board    
	S2600BPS.fru : for Buchanan Pass SFP+ LBG-2 Dual 10G Mother board
	S2600BPL.fru : for Buchanan Pass LBG 1G/L Dual 10G Mother board with 
	Liquid cooling
	       
4. Execute the following script to bring up the main FRU/SDR load menu:

     updS2600BP.nsh

5. Select Option 1 to do the SDR update.

6. Answer the prompts, and the SDRs will be loaded

=============================================================================
                           KNOWN ISSUES/WORKAROUNDS
=============================================================================
"FRUSDR /d fru" or ipmitool fru list cannot dump BMC FRU before SDR updated.

=============================================================================
                           ISSUES FIXED
=============================================================================
S2600BP_124
 -1504572530 The thresholds for Pump RPM of High CT and High NC are not setting in BMC Threshold List	
 -1504560008 No FAN Control Profile (lower bank) support during FSC record test on liquid cooling SKU
 -1504536167 "Chassis auto-detect error"  on FRUSDR update with non-intel chassis
 - Fix "LSI3008 Temp" will show up for "Other" chassis problem.

S2600BP_123

S2600BP_105

S2600BP_104
 -1504469586 FTF script SDR_Hysteresis_Check.tcl test failed on BNP

S2600BP_103

S2600BP_100

S2600BP_049
 - Fix PSU1 FAN1 Fail string length problem.

S2600BP_048
 -1209356456 Power supply fan sensor status is not correct when physically stopped.
 -1504469586 FTF script SDR_Hysteresis_Check.tcl test failed on BNP

S2600BP_047
 - 1504467693 "PS Fan Fail" show "Not Available" on EWS with FRUSDR 0.46
 - Remove the solution for 1209356456 Power supply fan sensor status is not 
 correct when physically stopped BMC fw need to update also

S2600BP_046
 - 1209356456 Power supply fan sensor status is not correct when physically stopped
   BMC fw need to update also

S2600BP_045

S2600BP_044
 - Follow FSC Auto-configuration sheet 1.0 to modify Global Clamp Records (P1 DTS Margin & P2 DTS Margin)  	    
 - Fix 1504412435 Some sensor healthy show unknown on E-BCP units
 - Fix 2103614885 Updated EBCP FRU successful, but could not see any information in WEBUI FRU info page.

S2600BP_043
 - Fix Agg Therm Margn 2 display unknown problem.

S2600BP_042
	
S2600BP_041
 - Update FRUSDR tool to v14.1 build 8
 - Fix EPSD100256791 fru file name show incorrect when updating FRUSDR

S2600BP_040
 - To enable PSUx realted sensor for unsupported PSU
   Add tag 'STICKY_PSx' for each PSx related SDR record

S2600BP_039
 - fix EPSD100035320 sometimes sensor "Exit Air Temp" show Upper Critical.	

S2600BP_038
 - Remove P0V83_LAN_AUX SDR record from SFP+ sku
 - Update frusdr.efi, frusdr_temp.efi ipmi.efi from FRUSDR_V14_1_Build7_AllOS
 - Remove BB MISC VR Temp SDR record from SFP+ sku
 - Add OEM NM SDR record to fix "external management software can’t find ME" issue

S2600BP_037
 - Add OEM Voltage related sensor record.

S2600BP_036
 - Remove PSx FAN2 sensor
 -Add oem record 1F to identify 24HDD system
 - Add Tag to remnove LAN NIC Temp Sensor for S2600BPS board

S2600BP_035
 - Modify NVMe 1 Crit Warn sensor number to 0x94

S2600BP_034
 - Add OS event sensor

S2600BP_033
 - Modify Entity ID for BB Inlet Temp

S2600BP_032
 - Modify event mask and sensor unit for Px Therm Ctrl

S2600BP_031
 - EPSD100033928 There is no sensor "SSB temp" and "SSB Thermal Trip" in FRUSDR 024.
 - EPSD100031955 The "SSB Temp" 0x22 sensor shows its reading is "0 degrees C" in the EWS or read by cmdtool
 Note : PCH must be B0/B1 to verify this issue.

S2600BP_030
 - EPSD100254450  can't adjust fan speed for system fan 6 and 7 with IPMI command

S2600BP_029
 - Add "Test Plate" in "Fan Sensor Domain Map" record
 - Independent sensor 36,37 to Domain 6,7 in "Fan Sensor Domain Map" record.
 - Change "Event/Reading Base Type" of "NVMe 1 Crit Warn" sensor from 6F to 73.
 - Update VBT and +12V sensors SDR content.

S2600BP_028
 - Modify the FAN's M value to avoid overflow problem
 - Add SYSTEM_FAN_6/7 question for "TEST_PLATE" configuration. And to add FAN6,
   FAN7 SDR record if FAN 6 or FAN 7 populated.
 - Add OTHER_FAN_6/7 question for "OTHER" configuration. And to add FAN6,FAN7 
   SDR record, if FAN 6 or FAN 7 populated.

S2600BP_027
 - Modify FSC version from 02 to 03 for clamp header ID 94 & 95
 - Change Lower non-critical value of SYSTEM_FAN_XB from C to D
 - Correct Clamp Temperature for Sensor Number 75
 - Change value of "Test Plate"'s stepwise curve ID from decimal to hexadecimal 
 - Correct record size over 64 bytes problem for "Test Plate"

S2600BP_026

 - EPSD100252903  sensor "LSI3008 Temp" Not Readable on EWS
 	BMC F/W version must be 0.29 or later
 - enable NMI button for "OTHER" and "TEST_PLATE" case

S2600BP_025

 - Correct OEM SDR record, FSC subtype 4 record to add back Domain 4~7 record
 - Force 3008 temp sensor to enable when node insert into 12 HDD chassis
   (Side effect, 3008 temp sensor will present if SATA bridge board populated)

S2600BP_024
 - Remove SSB temp and SSB thermal trip record
 - Modify  Reading Mask & Settable / Readable Threshold Masks for Px DTS Therm Mgn Record 

S2600BP_023
 - Remove 3008 VR Temp sensor and Add 3008 Temp sensor for 4Port 12G SAS down 
   Bridge board 
 - Tune Global Clamp record to make FAN speed up early
   
S2600BP_022
 - EPSD100033530 Modify PS1/2 Input Power M value from 0B to 0D
 		Event/Reading Bae Type for sensor ¡¥NVMe 1 Crit Warn¡¦change to 6F
 - Add NVMe 1 Therm Mgn,NVMe 1 Crit Warn sdr record

S2600BP_021
 - EPSD100033195 Modify FAN's m value

S2600BP_020

S2600BP_019
 - EPSD100253348 OEM Record Version is incorrect for FSC record type 0x02/0x01/0x08
 - EPSD100253350 The Exit Air Temp record is incorrect for FSC record checking
 - EPSD100032207 No LAN Leash Lost event in SEL
 - EPSD100252903 sensor "LSI3008 Temp" Not Readable on EWS
 - Modify Event and Reading mask for P1/P2 Status
 - Modify Event and Reading mask for MTT CPU1  

S2600BP_018
- To correct EVENT Mask and Reading mask for MTT CPU1/2
- EPSD100253010 [BNP,WFP]OFU_V14_1_Build4:The string of "Entering BMC Update 
                Mode..." should be placed on a new line when update BMC&Fursdr.	    
- EPSD100032697 There is no threshold value for processor therm margin.
- EPSD100253239 sensor "CATERR" Not Readable on EWS
- EPSD100032850 The threshold of sensor "P1/P2 Therm Ctrl%" shows NA.
- EPSD100252903 sensor "LSI3008 Temp" Not Readable on EWS
- EPSD100252904 sensor "LSI3008 VR Temp" Not Readable on EWS
- EPSD100033031 Detect "LSI 3408 Temp" and "LSI3008 Temp" sensor in sensor 
                reading page on EWS.

S2600BP_017 
-EPSD100253105 All thresholds for 'HSBP temp' and 'Front Panel temp' show "N/A" 
	in the "Sensor Readings" page
-Update Assertion Event Mask,Deassertion Event Mask and Reading Mask & Settable 
	/ Readable Threshold Masks for temperature sensor.

S2600BP_016
-EPSD100253010 [BNP,WFP]OFU_V14_1_Build4:The string of "Entering BMC Update 
	Mode..." should be placed on a new line when update BMC&Fursdr.
-EPSD100032565 FRU information not display correctly in EWS.
-EPSD100032575 Use H2224 chassis, it does not show the "HS Backplane" FRU 
	information in the FRU Information menu
-Modify IPMI Watchdog Assertion Event Mask from 0000 to 0F01
-Update sensor 'BB +12.0V' Event Mask and Reading Mask
-Remove duplicate sensor "Front Pannel Temp"
	 
S2600BP_015
	EPSD100252916 FRUSDR can be updated by using other platform's FRUSDR
	EPSD100252921 FRU version show incorrect after issue EFI command "frusdr.efi /d fru"
S2600BP_014

S2600BP_013

S2600BP_012
- Fix incorrect sdr record for TEST_PLATE config
- Add tag to prevent "Clamp header with non-existing THERMOMETER" message
  when no LSI SAS 3008/3408 populated
- Remove PROCESSOR_2 Tag for BB MISC VR Temp record.

S2600BP_011
-EPSD100031854  In EWS, the senosr name of "power supply deasserted" event 
		shows "#50"
-EPSD100252507  All SDR records have the same record ID 0x0000
-EPSD100031967  In "EWS > FRU information" , it has duplicate option of 
		baseboard , HSBP and PSU. (screenshot)
-EPSD100031971  Since BuchananPass doesn't support SAS/IO module, it should 
		not list the "IO/SAS Mod Presence" sensor in list.(screenshot)

S2600BP_010
-EPSD100031860	The FruSdr version and Copyright information should be updated 
                in the release note and master.cfg files
S2600BP_009
-EPSD100031940  It doesn't support the "H2216 chassis", but it list in the menu 
		in master.cfg
-EPSD100031942	[BNP_BMC] System auto shutdown (idle mode at 25C) after update 
		BIOS D097 + BMC 11 + SDR 06 or 07
-EPSD100031897	The copyright year in master.cfg shows "2015". 
-EPSD100031860	The FruSdr version and Copyright information should be updated 
                in the release note and master.cfg files
-EPSD100031826	The BMC WebUI shows the SDR version is: "0.05" or "0.06" after 
                update the FruSdr_0.07 version
-EPSD100251399	Clone of: FRUSDR_V14_1_Build1:SDR version showed as "-"  in 
		BIOS F2 Screen

S2600BP_007
-Correct BB Inlet Temp,Exit Air Temp Sensor unit2
-Remove All TAG for Front Panel temp
-Correct FSC Record type for Global Stepwise Records
-Remove duplicate Record

S2600BP_006

S2600BP_005
-EPSD100031306	In the SDR file of FRUSDR 002, the version still shows 0.1. (It should be 0.2.)
-fix BMC can't detect ps2 when it update SDR

S2600BP_004
-EPSD100031306	In the SDR file of FRUSDR 002, the version still shows 0.1. (It should be 0.2.)
-EPSD100031316	The Master.cfg file in S2600BP_002 package shows the FruSdr version is S2600BP_001
-Correct HSBP TEMP B parameter
-Add _SDR_TAG 'BCP_2U4N' to Agg Therm Mrgn 1
-Modify some no leading 0 issue on _REC_LEN
-Fix incorrect _SDR_TAG issue for HSBP temp sensor
-Correct BB BMC TEMP,BB CPU1 VR TEMP,BB CPU2 VR TEMP unit


S2600BP_002
-EPSD100030984	When updating FRUSDR, it will show "null string" in the first line. (screenshot)

S2600BP_0.1:
- First release

=============================================================================
                           FEATURES ADDED
=============================================================================
S2600BP_124
 -Implement FSC Auto-configuraiton sheet 1.4 draft (20170822)

S2600BP_123
 -Implement FSC Auto-configuraiton sheet 1.3 release candidate (20170726)

S2600BP_105
 -Implement FSC Auto-configuraiton sheet 1.2 draft (20170609)
 -Add Liquid cooling sku S2600BPL support

S2600BP_104

S2600BP_103

S2600BP_100

S2600BP_049
 - Implement FSC Auto-configuraiton sheet 1.1 draft 050417

S2600BP_048
 - Implement FSC Auto-configuraiton sheet 1.1 draft 04272017

S2600BP_047

S2600BP_046

S2600BP_045
 - Implement FSC Auto-configuraiton sheet 1.0
S2600BP_044

S2600BP_043

S2600BP_042
 - Implement FSC Auto-configuration sheet 1.0 Draft 12/28/16
 - Support New HSPB H2204
 - Add product ID 0x7C(SFP+) support
S2600BP_041

S2600BP_040

S2600BP_039

S2600BP_038

S2600BP_037

S2600BP_036

S2600BP_035

S2600BP_034

S2600BP_033

S2600BP_032

S2600BP_031
 - Add Buchanan Pass SFP+ + 2 Dual 10G Mother Board detection 	

S2600BP_030
 - Add FRU report for IFT carrier
 - Add Buchanan Pass SFP+ + 2 Dual 10G Mother Board FRU	

S2600BP_029

S2600BP_028

S2600BP_027


S2600BP_026
 - Implement FSC configuration sheet 0.7

S2600BP_025
 - Implement FSC configuration sheet 0.6 for H2224BNP Chassis
 	
S2600BP_024
 - Implement FSC configuration sheet 0.6 for H2312BNP Chassis

S2600BP_023

S2600BP_022
- Add NVMe 1 Therm Mgn,NVMe 1 Crit Warn sdr record
- Add PT bridge board FRU record and PT bridge board detection
  (H91459-100-24HDD 6port Cable Pass Through Bridge board)
- Add 6Port 12G SAS/NVMe combo bridge board (3008) H94462-200---24HDD support

S2600BP_021
- Add FAN Auto detection feature for 3rd party chasis
- Add Mem 1/2 VRD temp and EV CPU1 VR Temp SDR record

S2600BP_020
- Add NVMe Enable/Disable Record
- Add HSBP PBA Class Record

S2600BP_019
- Add 2 BIOS Evt Sensor 
- Add BB CPU2 VR Temp SDR record

S2600BP_018
- Remove un-supported PHI on Riser record.
- Add 3008/3408 bridge board FRU record.
- Add Riser 1/2 Temp sensor record. 

S2600BP_017
- Enable Auto Detect during SDR update
- Remove P1 ERR2 and P2 ERR2 SDR record, Add CPU ERR2 SDR record
- Remove S2600BP.FRU and Add S2600BPB.FRU for Buchanan Pass LBG 1G Dual 10G 
	Mother board
- Remvoe Redundant FAN SDR record, due to system doesn't support.

S2600BP_016
-Add Buchanan Pass LBG L Dual 10G Mother board fru support (S2600BPQ.FRU)

S2600BP_015
-Add Fan Redundancy sensor record
S2600BP_014
-Add auto shutdown sensor record
-Update Assertion Event Mask, Deassertion Event Mask and Reading Mask for FAN

S2600BP_013
- Remove CPU ERR2 and Add P1 ERR2, P2 ERR2 record

S2600BP_012
- Remove SDR Version record with FCT and FOQM tag.

S2600BP_011
- Add PS1 Fan2 Fail and PS2 Fan2 Fail
- Remove SDR Record which has SHIPPING, FOQM, NOT_USED tag(Except Version 
	Record).

S2600BP_010
- Implement FSC Auto config sheet 0.4
- Remove un-used SDR Record
- Remove 2U4N_BP_X25 support
S2600BP_009
- Implement FSC Auto config sheet 0.3 For BB MISC VR Temp, BB Outlet Temp and LAN MIC Temp
- Implement PSU support for 2130W PSU only
- Implement Chassis support for '2U4N_BP_X35' and '24HDDHSBP'

S2600BP_007
S2600BP_006
- To add "Bad User PWD" sdr
- Follow BNP FSC Auto-SDR Config Sheet rev02 to Add
	Fan Sensor Domain Map, Auto Profile,Test Plate FSC and OTHER

S2600BP_005
-Follow BNP FSC Auto-SDR Config Sheet rev02 to Add H2312TP sheet

S2600BP_004
-Follow BNP FSC Auto-SDR Config Sheet rev02 to 
	Add DIMM thermal margin sensor.
	Add Global Clamp Curve Record
	Add Global Stepwise Header Records
	Add Global Clamp Record
	Add 2200W PS1 & PS2
	Add System FAN sensor
-Per Intel BKC team request add master_internal.cfg

S2600BP_002
-Follow SDR spreadsheet rev 0.2 to update sensor in system configuration sheet


S2600BP_0.1:
- First release

=============================================================================
                             REFERENCE MATERIAL
=============================================================================
Common IBMC Firmware EAS
Common Platform IBMC FW EPS

[END OF RELEASE NOTES]
